.text-icon-cards {
    background: var(--light-red);
    position: relative;
    z-index: 2;
}

.text-icon-cards h2 {
    font-size: 25px;
}

.text-icon-cards h2 span {
    font-size: 30px;
    color: var(--blue);
    font-family: "Nothing You Could Do", cursive;
    display: block;
    margin: 5px 0 0;
    font-weight: 700;
}

.text-icon-cards__list {
    display: flex;
    flex-wrap: wrap;
    gap: 17px 32px;
    position: relative;
    justify-content: center;
    z-index: 1;
}

.text-icon-cards__list:after {
    content: "";
    position: absolute;
    width: 197px;
    height: 197px;
    background: radial-gradient(50% 50% at 50% 50%, #FBC1C3 0%, #F2E3E8 50.96%, #FEF5F5 100%);
    opacity: 0.65;
    left: 50%;
    transform: translate(-50%, 0);
    bottom: -144px;
    z-index: -1;
    border-radius: 50%;
}

.text-icon-card-item {
    width: calc(50% - 16px);
}

.text-icon-card {
    height: 149px;
    border-radius: 20px;
    position: relative;
    padding: 15px 20px;
    background: var(--coral);
    justify-content: center;
    align-items: flex-start;
    overflow: hidden;
}

.text-icon-card-item:nth-child(2) .text-icon-card {
    background: var(--twilight);
}

.text-icon-card-item:last-child .text-icon-card {
    background: var(--blue);
}

.text-icon-card h4 {
    font-size: 16px;
    color: var(--white);
    line-height: 1.4em;
    margin: 0;
}

.text-icon-card__icon {
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.75);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 0 10px;
    font-size: 30px;
    color: #A70B0E;
}

.text-icon-card-item:nth-child(2) .text-icon-card__icon {
    color: #426A95;
}

.text-icon-card-item:last-child .text-icon-card__icon {
    color: #223872;
}

.text-icon-card .icon-heart {
    position: absolute;
    color: var(--white);
    opacity: 0.1;
}

.text-icon-card-item:first-child .text-icon-card .icon-heart {
    top: -29px;
    font-size: 100px;
    right: -26px;
}

.text-icon-card-item:nth-child(2) .text-icon-card .icon-heart {
    bottom: -54px;
    right: -20px;
    font-size: 75px;
}

.text-icon-card-item:last-child .text-icon-card .icon-heart {
    top: 24px;
    right: -51px;
    font-size: 83px;
}

.text-icon-cards__list {
    margin: 30px 0 0;
}

.text-icon-cards__logo {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 16px 30px;
    position: relative;
    z-index: 1;
    margin: 20px 0 0;
}

.text-icon-card__icon svg {
    width: 30px;
    height: 30px;
}

.text-icon-cards__logo__col img {
    max-height: 95px;
    max-width: 174px;
    object-fit: contain;
}

.text-icon-cards__logo__col--text {
    width: 183px;
    background: var(--white);
    border-radius: 10px;
    box-shadow: 0px 4px 20px 5px rgba(23, 37, 73, 0.1);
    padding: 13px 0 15px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 9px 5px;
    text-align: center;
}

.text-icon-cards__logo__col p {
    font-size: 12px;
    font-weight: 700;
    line-height: 1.4em;
    color: var(--dark-blue);
}

.text-icon-cards__wrapper {
    position: relative;
    z-index: 1;
}

.text-icon-cards__wrapper:after {
    content: "";
    position: absolute;
    background: radial-gradient(50% 50% at 50% 50%, #C6D9EE 0%, #EBEBF3 47.6%, #FEF5F5 100%);
    opacity: 0.5;
    left: -13px;
    top: -23px;
    width: 170px;
    height: 170px;
    border-radius: 50%;
    z-index: -1;
}


@media(min-width: 768px) {
    .text-icon-card-item {
        width: calc(33.333% - 22px);
    }

    .text-icon-card {
        height: 200px;
        padding: 15px 13px 15px 22px;
        justify-content: center;
        align-items: flex-start;
        display: flex;
        flex-direction: column;
    }

    .text-icon-card__icon {
        width: 70px;
        height: 70px;
        margin: 0 0 17px;
        font-size: 40px;
    }

    .text-icon-card__icon svg {
        width: 40px;
        height: 40px;
    }

    .text-icon-card h4 {
        max-width: 180px;
        font-size: 18px;
    }

    .text-icon-card-item:first-child .text-icon-card .icon-heart {
        top: -40px;
        font-size: 135px;
        right: -36px;
    }

    .text-icon-card-item:nth-child(2) .text-icon-card .icon-heart {
        bottom: -72px;
        right: 28px;
        font-size: 101px;
    }

    .text-icon-card-item:last-child .text-icon-card .icon-heart {
        top: 33px;
        right: -69px;
        font-size: 112px;
    }

    .text-icon-cards h2 {
        font-size: 30px;
    }

    .text-icon-cards h2 span {
        font-size: 35px;
        display: inline-block;
        margin: 0;
    }

    .text-icon-cards__logo {
        margin: 30px 0 0;
        gap: 16px 22px;        
    }

    .text-icon-cards__list:after {
        width: 252px;
        height: 252px;
        left: unset;
        right: 87px;
        transform: unset;
        bottom: -115px;
    }

    .text-icon-cards__wrapper:after {
        left: -36px;
        top: -85px;
        width: 274px;
        height: 274px;
    }
}


@media(min-width: 1200px) {
    .text-icon-card {
        height: 241px;
        padding: 0 35px;
    }

    .text-icon-card__icon {
        width: 90px;
        height: 90px;
        font-size: 52px;
    }

    .text-icon-card-item:first-child .text-icon-card .icon-heart {
        top: -32px;
        font-size: 169px;
        right: -35px;
    }

    .text-icon-card-item:nth-child(2) .text-icon-card .icon-heart {
        bottom: -117px;
        right: 25px;
        font-size: 168px;
    }

    .text-icon-card-item:last-child .text-icon-card .icon-heart {
        top: 43px;
        right: -45px;
        font-size: 169px;
    }

    .text-icon-cards__list {
        margin: 40px 0 0;
    }

    .text-icon-cards__logo {
        margin: 0;
        flex-direction: column;
        justify-content: space-between;
        height: 100%;
    }

    .text-icon-cards__logo__col img {
        max-height: unset;
        max-width: unset;
    }

    .text-icon-cards h2 {
        font-size: 40px;
    }

    .text-icon-cards h2 span {
        font-size: 45px;
    }

    .text-icon-cards__wrapper:after {
        left: -280px;
        top: -140px;
        width: 456px;
        height: 456px;
    }

    .text-icon-cards__list:after {
        width: 417px;
        height: 417px;
        right: -191px;
        bottom: -228px;
    }

    .text-icon-cards__logo__col--text {
        width: 194px;
    }

    .text-icon-card__icon svg {
        width: 52px;
        height: 52px;
    }    
}